
Foreman - Bug #13710

apipie:cache fails with Missing template ../../layouts/apipie/apipie

02/15/2016 07:19 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Since #12873, upgrading Rails to 4.14.1, the apipie:cache rake task fails with:

11:31:54 /usr/bin/bundle exec rake apipie:cache cache_part=resources --trace RAILS_ENV=production

11:32:08 ** Invoke apipie:cache (first_time)

11:32:08 ** Invoke environment (first_time)

11:32:08 ** Execute environment

11:32:15 Apipie cache enabled but not present yet. Run apipie:cache rake task to speed up API call

s.

11:32:30 ** Execute apipie:cache

11:32:35 rake aborted!

11:32:35 ActionView::MissingTemplate: Missing template ../../layouts/apipie/apipie with {:locale=>

[:"en-GB", :en], :formats=>[:html], :variants=>[], :handlers=>[:erb, :builder, :raw, :ruby, :rabl]

}. Searched in:

11:32:35   * "/var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/app/views/apipie/apipies" 

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/path_set.rb:46:in `find'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/lookup_context.rb:124:in `fi

nd'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/renderer/abstract_renderer.r

b:18:in `find_template'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/renderer/template_renderer.r

b:87:in `resolve_layout'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/renderer/template_renderer.r

b:77:in `block in find_layout'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/lookup_context.rb:254:in `wi

th_layout_format'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/renderer/abstract_renderer.r

b:18:in `with_layout_format'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/renderer/template_renderer.r

b:77:in `find_layout'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/renderer/template_renderer.r

b:61:in `render_with_layout'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/renderer/template_renderer.r

b:53:in `render_template'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/renderer/template_renderer.r

b:17:in `render'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/renderer/renderer.rb:42:in `

render_template'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/renderer/renderer.rb:23:in `

render'

11:32:35 /var/lib/gems/1.9.1/gems/actionview-4.1.14.1/lib/action_view/helpers/rendering_helper.rb:

32:in `render'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:119:in `block in render

_page'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:115:in `open'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:115:in `render_page'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:162:in `block in genera
te_resource_pages'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:156:in `each'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:156:in `generate_resour

ce_pages'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:90:in `block (5 levels)

 in <top (required)>'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:81:in `each'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:81:in `block (4 levels)

 in <top (required)>'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:66:in `each'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:66:in `block (3 levels)

 in <top (required)>'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:190:in `with_loaded_doc

umentation'

11:32:35 /var/lib/gems/1.9.1/gems/apipie-rails-0.3.5/lib/tasks/apipie.rake:64:in `block (2 levels)

 in <top (required)>'

11:32:35 /var/lib/gems/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:240:in `call'

 This is https://github.com/Apipie/apipie-rails/issues/421 and PR https://github.com/Apipie/apipie-rails/pull/425, which is awaiting

release.

Related issues:

Related to Foreman - Feature #12873: Update Rails to 4.1.latest Closed 12/18/2015

Related to Foreman - Bug #14540: rake-apipie:cache:index fails: ActionView::M... Closed 04/07/2016

History

#1 - 02/15/2016 07:19 AM - Dominic Cleal

- Related to Feature #12873: Update Rails to 4.1.latest added

#2 - 02/19/2016 04:11 AM - Dominic Cleal

- Status changed from New to Closed

Fixed in apipie-rails 0.3.6.

#3 - 04/08/2016 03:19 AM - Dominic Cleal

- Related to Bug #14540: rake-apipie:cache:index fails: ActionView::MissingTemplate: Missing template ../../layouts/apipie/apipie added
